Bug 100603 - outage page
outage page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Meyer
Bowe Strickland
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 13:10 EDT by Luke Meyer
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 10:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2003-07-23 13:10:56 EDT
academy needs an outage page for when the database is down or site is otherwise
troubled.  look into how this is implemented for www.redhat.com
Comment 1 Luke Meyer 2003-09-16 11:28:07 EDT
outage page is at /errors/outage.html and andrew is configuring proxies to point
there when app servers are hosed.  however, until the latest rpm goes live, a
database outage will still result in a 500.
Comment 2 Luke Meyer 2003-10-06 10:56:07 EDT
implemented as two parts:

1) there's an outage page for planned outages.  SOC has responsibility to put
this in place during outages.

2) there's an outage page for unplanned database outages (when the DB handle
becomes bogified).  unfortunately, it will be difficult to test whether this is
actually working on the live system until we have an unplanned DB outage. 
nevertheless it's in place.

Note You need to log in before you can comment on or make changes to this bug.